/*
From https://cssdeck.com/blog/pure-css-bouncing-ball/
*/
.coffee, .tea {
    --size: 50px;
    font-size: var(--size);
    display: block;
    width: var(--size);
    height: var(--size);
    border-radius: 50%;

    position: fixed;
    -webkit-animation: moveX 3.05s linear 0s infinite alternate, moveY 3.4s linear 0s infinite alternate, spin 10s infinite;
    -moz-animation: moveX 3.05s linear 0s infinite alternate, moveY 3.4s linear 0s infinite alternate, spin 10s infinite;
    -o-animation: moveX 3.05s linear 0s infinite alternate, moveY 3.4s linear 0s infinite alternate, spin 10s infinite;
    animation: moveX 3.05s linear 0s infinite alternate, moveY 3.4s linear 0s infinite alternate, spin 10s infinite;
}

.coffee_tea {
    --size: 50px;
    font-size: var(--size);
    display: block;
    width: calc(var(--size) * 2);
    height: var(--size);
    border-radius: 50%;

    position: fixed;
    -webkit-animation: moveX 3.05s linear 0s infinite alternate, moveY 3.4s linear 0s infinite alternate, spin 10s infinite;
    -moz-animation: moveX 3.05s linear 0s infinite alternate, moveY 3.4s linear 0s infinite alternate, spin 10s infinite;
    -o-animation: moveX 3.05s linear 0s infinite alternate, moveY 3.4s linear 0s infinite alternate, spin 10s infinite;
    animation: moveX 3.05s linear 0s infinite alternate, moveY 3.4s linear 0s infinite alternate, spin 10s infinite;
}

@-webkit-keyframes moveX {
    from { left: 0; } to { left: calc(100% - var(--size)); }
}
@-moz-keyframes moveX {
    from { left: 0; } to { left: calc(100% - var(--size)); }
}
@-o-keyframes moveX {
    from { left: 0; } to { left: calc(100% - var(--size)); }
}
@keyframes moveX {
    from { left: 0; } to { left: calc(100% - var(--size)); }
}
@-webkit-keyframes moveY {
    from { top: 0; } to { top: calc(100% - var(--size)); }
}
@-moz-keyframes moveY {
    from { top: 0; } to { top: calc(100% - var(--size)); }
}
@-o-keyframes moveY {
    from { top: 0; } to { top: calc(100% - var(--size)); }
}
@keyframes moveY {
    from { top: 0; } to { top: calc(100% - var(--size)); }
}

@keyframes spin {
    from {
        transform:rotate(0deg);
    }
    to {
        transform:rotate(360deg);
    }
}